#ifndef ABOUTDIALOG_H_INCLUDED
#define ABOUTDIALOG_H_INCLUDED

#include "fox-1.6.31-nodep/fx.h"

#include "Icons.h"




class AboutDialog : public FXDialogBox {
    //Macro che dichiara alcuni membri della classe
    FXDECLARE(AboutDialog)

    public:
        //Costruttore, costruisce la finestra (client-side)
        AboutDialog(FXWindow* owner, FXIcon *_iconsBig[], FXIcon *_iconsSmall[]);
        //Distruttore
        virtual ~AboutDialog();
        //Visualizza la finestra (server side)
        //Assente, si usa execute
        //Message IDs: none
        /*enum {
            ID_WINDOW=FXDialogBox::ID_LAST, //Usando FXMainWindow::ID_LAST non funzionano ID_CANCELL ecc.
            ID_LAST
        };*/
        //Callbacks
        //none


    protected:
        //Costruttore di default della classe derivata (richiesto dalla macro inziale)
        AboutDialog() { }

    private:
        //Icone
        FXIcon **iconsSmall, **iconsBig;
        //Puntatori agli elementi della finestra
        FXVerticalFrame *dialogFrame;
        FXHorizontalFrame *upperFrame, *middleFrame, *lowerFrame;
};


#endif // ABOUTDIALOG_H_INCLUDED
