#ifndef CONVERTITORE_H_INCLUDED
#define CONVERTITORE_H_INCLUDED


#ifdef CONSOLE
    #include <string>
    #include <iostream>
#else
    #include "fox-1.6.31-nodep/fx.h"
    #include "ProgressDialog.h"
#endif


#include <fstream>
#include "conv/Tipi.h"
#include "conv/Errore.h"
#include "conv/FileUtf16in.h"
#include "conv/Liste.cpp" //Per evitare errore 'undefined reference' includere il cpp invece dell'h
#include "conv/TSclass.h"
#include "conv/TSshape.h" //Qui invece serve includere l'h invece del cpp per evitare 'multiple definitions'
#include "conv/Mesh.h"
#include "conv/File3ds.h"
#include "Options.h"

using namespace std;

namespace conv {

    /* Questa  la funzione di interfaccia tra il programma e il convertitore. */
#ifdef CONSOLE
    int convert(const string &fileName);
#else
    int convert(FXString fileName, FXString filePath, bool useTempDir, Options &options, ProgressDialog &pgsDlg);
#endif

}


#endif // CONVERTITORE_H_INCLUDED
