#ifndef OPTIONS_H_INCLUDED
#define OPTIONS_H_INCLUDED

#include "fox-1.6.31-nodep/fx.h"

#include <vector>


/* In this structure we keep all the program settings
 */
struct Options {
    FXuchar anims;      // 1 => converti le animazioni; 2 => non converte le animazioni
    FXuchar lods;       // 1 => converti tutti i LODs; 2 => converti il primo LOD
    FXuchar log;        // 1 => scrivi il file log; 2 => non scrive
    FXuchar mat;        // 1 => scrivi il file mat; 2 => non scrive
    FXuchar out;        // 1 => usa cartella utente; 2 => usa stessa di input
    FXString outPath;   // percorso
    FXuchar ffed;       // 1 => TS installato; 2 => TS non  installato
    FXString ffedPath;  // percorso
    FXuchar temp;       // 1 => usa cartella utente; 2 => usa default
    FXString tempPath;  // percorso
    std::vector<FXString> recentInputPaths;
    std::vector<FXString> prefInputPaths;
};

#endif // OPTIONS_H_INCLUDED
