#ifndef WINUTILS_H_INCLUDED
#define WINUTILS_H_INCLUDED

#include <windows.h>
#include <shlobj.h>
# ifndef SHGFP_TYPE_CURRENT
# define SHGFP_TYPE_CURRENT 0
# endif

#include <vector>

#include "fox-1.6.31-nodep/fx.h"


namespace win {

    enum {
        DIR_DESKTOP,
        DIR_DOCUMENTS
    };

    int findAllFiles(FXString path, std::vector<FXString> *fileList, FXchar query[]);
    void getDirPath(FXString &path, int folder);
    int fileExist(FXString fullpath);
    int dirExist(FXString path);

    void deleteFile(FXString fullpath);

    int execute(FXString filepath, FXString param);

}

#endif // WINUTILS_H_INCLUDED
